Bug 1505750 - weechat-2.2 is available
Summary: weechat-2.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: weechat
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-24 08:39 UTC by Evgeni Golov
Modified: 2018-11-28 03:39 UTC (History)
7 users (show)

Fixed In Version: weechat-2.2-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 03:39:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Evgeni Golov 2017-10-24 08:39:38 UTC
Description of problem:
EPEL7 currently ships an outdated version of weechat: 1.5

1.9.1 is available in fedora, but does not build in EPEL at the moment:
Processing files: weechat-1.9.1-1.el7.x86_64
error: File not found by glob: /builddir/build/BUILDROOT/weechat-1.9.1-1.el7.x86_64/usr/share/doc/weechat-1.9.1/weechat_*.html
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.80MT8p

This seems to be because weechat itself installs its docs to /usr/share/doc/weechat instead of /usr/share/doc/weechat-<version>

The following part of the specfile should handle this, but it seems non-functional.

  %if %{?_pkgdocdir:1}0
  %global _doc %{name}
  %else
  %global _doc %{name}-%{version}
  %global _pkgdocdir %{_docdir}/%{_doc}
  %endif

_pkgdocdir is defined on EL7:
# rpm --eval "%{_pkgdocdir}"
%{_docdir}/%{name}-%{version}

The following patch seems to make it build fine on EL7 and rawhide:

diff --git a/weechat.spec b/weechat.spec
index 87bbbf9..10c0146 100644
--- a/weechat.spec
+++ b/weechat.spec
@@ -2,7 +2,11 @@
 %global __provides_exclude_from ^%{_libdir}/weechat/plugins/.*$
 
 %if %{?_pkgdocdir:1}0
+%if 0%{?rhel}
+%global _doc %{name}-%{version}
+%else
 %global _doc %{name}
+%endif
 %else
 %global _doc %{name}-%{version}
 %global _pkgdocdir %{_docdir}/%{_doc}

Comment 1 Evgeni Golov 2018-02-26 11:32:19 UTC
2.0.1 is now available in fedora.

Comment 2 Evgeni Golov 2018-08-06 05:48:10 UTC
2.2 is now available in Fedora.

Comment 3 Fedora Update System 2018-08-06 20:07:24 UTC
weechat-2.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-883fe91abb

Comment 4 Fedora Update System 2018-08-07 01:33:55 UTC
weechat-2.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-883fe91abb

Comment 5 Fedora Update System 2018-11-28 03:39:35 UTC
weechat-2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.